package p06_switch;

import javax.swing.JOptionPane;

public class DzienTygodnia3 {
	/* Od Javy 14 zamiast : można użyć ->
	 * wtedy każdy case jest niezależny (nie trzeba pisać break).
	 */

	public static void main(String[] args) {
		int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia"));
		
		switch(numer) {
			case 1 ->
				JOptionPane.showMessageDialog(null, "To jest poniedziałek");
			case 2 ->
				JOptionPane.showMessageDialog(null, "To jest wtorek");
			case 3 ->
				JOptionPane.showMessageDialog(null, "To jest środa");
			case 4 ->
				JOptionPane.showMessageDialog(null, "To jest czwartek");
			case 5 -> {
				JOptionPane.showMessageDialog(null, "To jest piątek");
				JOptionPane.showMessageDialog(null, "Weekendu początek");
			}
			case 6 ->
				JOptionPane.showMessageDialog(null, "To jest sobota");
			case 7 ->
				JOptionPane.showMessageDialog(null, "To jest niedziela");
			default ->
				JOptionPane.showMessageDialog(null, "Niepoprawny numer " + numer, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
		JOptionPane.showMessageDialog(null, "Koniec programu");
	}

}
